Gnome-vfs and libgnomeprint no longer depend on samba

In our work to make the depency chain less big, I have removed the support for samba and cups in testing. There are 2 new packages in testing gnome-vfs-samba and libgnomeprint-cups. If you want you samba or cups support back in gnome you will need to install these packages. Please test them so it can go bug free into extra.